/*
   Test program for DisableMath().  To compile and link:
   CLIPPER testmath
	RTLINK file testmath, dismath
*/

	CLEAR SCREEN

	IF 4195835 - ((4195835 / 3145727) * 3145727) != 0

		? "Math test reports a buggy Pentium."
		WAIT

		// Disable usage of math coprocessor.
		DisableMath()
		? "Use of math coprocessor is now disabled."
		WAIT

		IF 4195835 - ((4195835 / 3145727) * 3145727) != 0
			? "DisableMath() function DID NOT fix math problems."
		ELSE
			? "DisableMath() function did fix math problems."
		ENDIF

	ELSE
		? "Math test did not find a buggy Pentium."
	ENDIF

	?


	RETURN


